@echo off
:language
cls
if not exist dpgetlanguage.txt goto chooselanguage
set /p dpgetlang=<dpgetlanguage.txt
if %dpgetlang%==eng goto askpath
if %dpgetlang%==ger goto geraskpath
exit

:chooselanguage
cls
echo Choose your language.
echo Whle deine Sprache.
echo 1. English
echo 2. Deutsch
set /p lang=
if %lang%==1 goto englishlangwrite
if %lang%==2 goto germanlangwrite
echo Please enter 1 or 2.
echo Bitte 1 oder 2 eingeben.
pause
goto chooselanguage

:englishlangwrite
echo eng>dpgetlanguage.txt
cls
goto language

:germanlangwrite
echo ger>dpgetlanguage.txt
cls
goto language

:askpath
if exist dppath.txt goto menu
echo Welcome to DPGet! Please enter your DPBall directory. (Enter for default)
set dpdirectory=
set /p dpdirectory=
echo Please enter it once more to verify...
set dpdirectorycheck=
set /p dpdirectorycheck=
if '%dpdirectory%'=='%dpdirectorycheck%' goto pathadd
echo Entries do not match. Please re-enter.
pause
goto verify

:pathadd
if '%dpdirectory%'=='' goto defaultpathadd
echo %dpdirectory%>>dppath.txt
goto menu

:defaultpathadd
echo C:\games\paintball2>dppath.txt
goto menu

:menu
title DPGet 0.8
cls
if exist dpget-update.bat goto delupdate
echo set dpgetpath=%cd%>setdpgetpath.bat
call setdpgetpath.bat
del setdpgetpath.bat
set /p dppath=<dppath.txt
echo Welcome to the DPGet Digital Paintball File Downloader!
echo What would you like to do?
echo 1. Download a map
echo 2. Browse File Database
echo 3. Search file Database
echo 4. Check for package updates
echo 5. News
echo 6. Check for DPGet updates
echo 7. About
echo 8. Quit
set choice=
set /p choice=Enter your choice: 
if '%choice%'=='1' goto mapmenu
if '%choice%'=='2' goto browsefiles
if '%choice%'=='3' goto searchfiles
if '%choice%'=='4' goto packagescan
if '%choice%'=='5' goto news
if '%choice%'=='6' goto updatecheck
if '%choice%'=='7' goto about
if '%choice%'=='8' goto end
echo Please enter 1 2 3 4 5 6 7 or 8.
pause
goto menu

:delupdate
del dpget-update.bat
goto menu

:mapmenu
cls
set map=
set /p map=Please enter map name (including .bsp)...  
if %map%==*.* goto invalidmap
if '%map%'=='' goto emptymap
echo :download1 >dlmap.bat
echo download ftp://85.214.56.218/pub/Maps/%map% /display:progress >>dlmap.bat
echo if not exist %map% goto download2 >>dlmap.bat
echo copy %map% %dppath%\pball\maps\%map% >>dlmap.bat
echo goto deletemap >>dlmap.bat
echo :download2 >>dlmap.bat
echo download http://www.dplogin.com/files/maps/%map% /display:progress >>dlmap.bat
echo if not exist %map% echo Download Failed. >>dlmap.bat
echo copy %map% %dppath%\pball\maps\%map% >>dlmap.bat
echo :deletemap >>dlmap.bat
echo del %map% >>dlmap.bat
call dlmap.bat
del dlmap.bat
pause
goto menu

:invalidmap
echo You cannot use that wildcard. For all maps please type *.bsp
pause
goto menu

:emptymap
echo Please enter a map name.
pause
goto menu

:browsefiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
echo List of files displayed below:
echo.
type index.txt | more
echo.
goto filechoose

:searchfiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
set find=
set /p find=Enter Search Term (Capitalise 1st letter)...  
find "%find%" index.txt
goto filechoose

:filechoose
echo Type file number to download it. To go to the main menu, press enter.
set file=
set /p file=
if '%file%'=='' goto delmenu
if '%file%'=='info' goto fileinfo
echo download http://www.viciouz.co.uk/database/%file%.txt /display:silent >dlfileinfo.bat
call dlfileinfo.bat
del dlfileinfo.bat
set fileurl=
set /p fileurl=<%file%.txt
echo download %fileurl% /display:progress >dlfile.bat
echo del %file%.txt >>dlfile.bat
call dlfile.bat
del dlfile.bat
del index.txt
echo File Downloaded.
pause
goto menu

:updatecheck
cls
echo Checking for updates...
download http://www.viciouz.co.uk/database/dpget.txt /display:silent
set version=08
set update=
set /p update=<dpget.txt
if %version% LSS %update% goto update
echo No updates found.
del dpget.txt
pause
goto menu

:update
set updatechoice=
set /p updatechoice=Updates found. Install? (Y/N) 
if '%updatechoice%'=='n' goto menu
if '%updatechoice%'=='N' goto menu
download http://www.viciouz.co.uk/dpget/dpget.zip /display:progress
download http://www.viciouz.co.uk/dpget/dpget-update.bat /display:progress
download http://www.viciouz.co.uk/dpget/unzip.exe /display:progress
dpget-update.bat

:packagescan
cls
echo Scanning packages for versions...
set zorchmenusscan=0
set updatesfoun=0
goto scanroutine

:scanroutine
if %zorchmenusscan%==0 goto zorchmenusscan
if %updatesfound%==1 goto updatesfound
goto noupdates

:zorchmenusscan
set zorchmenusscan=1
cd %dppath%\pball\
cd versions
if not exist zhmr_all.txt goto scanroutine
set localzorch=
set /p localzorch=<zhmr_all.txt
cd %dpgetpath%
echo Zorchenhimer's Menu Pack >>packages.txt
download http://www.viciouz.co.uk/database/vers/zorchenhimermenus.txt /display:silent
set remotezorch=0
set /p remotezorch=<zorchenhimermenus.txt
del zorchenhimermenus.txt
if not %localzorch% lss %remotezorch% goto scanroutine
set updatesfound=1
del zorchmenus.zip
download http://www.viciouz.co.uk/other/miscfiles/zorchmenus.zip /display:progress
echo Zorchenhimer's Menu Pack >>updatedpackages.txt
goto scanroutine

:updatesfound
echo.
echo Packages found:
type packages.txt
del packages.txt
echo.
echo Packages updated:
type updatedpackages.txt
del updatedpackages.txt
echo.
echo All updated packages should be found in:
echo %dpgetpath%
pause
goto menu

:news
cls
echo Checking news...
download http://www.viciouz.co.uk/database/news.txt /display:silent
type news.txt | more
del news.txt
echo.
echo Press any key to return to main menu...
pause >nul
goto menu

:about
cls
echo About DPGET v0.8
echo DPGET is a tool to download files relating to Digital Paintball 2.
echo Currently it includes a map-download feature, which attempts to download a map from www.dplogin.com
echo It also includes a simple file database hosted at viciouz.co.uk
echo DPGET written by ViciouZ (c) ViciouZ.co.uk 2007
echo DPGET uses File Downloader by Noel Danjou, which must not be redistributed outside of this package without prior consent.
echo Thanks to KnacK, Zorchenhimer and y00tz for their help and show of support.
pause
goto menu

:delmenu
del index.txt
goto menu

:end
cls
echo Thanks for using DPGet.
pause
exit

@echo off
:geraskpath
if exist dppath.txt goto germenu
echo Willkommen bei DPGet! Bitte gib dein DPBall-Verzeichnis an. (Enter-Taste fr Standard-Verzeichnis)
set dpdirectory=
set /p dpdirectory=
echo Bitte erneut angeben, um die Eingabe zu besttigen
set dpdirectorycheck=
set /p dpdirectorycheck=
if '%dpdirectory%'=='%dpdirectorycheck%' goto gerpathadd
echo Verzeichnisse stimmen nicht berein. Bitte erneut eingeben.
pause
goto gerverify

:gerpathadd
if '%dpdirectory%'=='' goto gerdefaultpathadd
echo %dpdirectory%>>dppath.txt
goto germenu

:gerdefaultpathadd
echo C:ger\games\paintball2>dppath.txt
goto germenu

:germenu
title DPGet 0.8
cls
if exist dpget-update.bat goto gerdelupdate
echo set dpgetpath=%cd%>setdpgetpath.bat
call setdpgetpath.bat
del setdpgetpath.bat
set /p dppath=<dppath.txt
echo Willkommen bei dem DPGet Digital Paintball Datei-Downloader!
echo Was mchtest du gerne tun?
echo 1. Eine Map herunterladen
echo 2. Die Datei-Datenbank ansehen
echo 3. Die Datei-Datenbank durchsuchen
echo 4. Auf Paket-Updates berprfen
echo 5. News lesen
echo 6. Auf DPGet-Updates berprfen
echo 7. ber DPGet
echo 8. Ende
set choice=
set /p choice=Enter your choice:ger 
if '%choice%'=='1' goto germapmenu
if '%choice%'=='2' goto gerbrowsefiles
if '%choice%'=='3' goto gersearchfiles
if '%choice%'=='4' goto gerpackagescan
if '%choice%'=='5' goto gernews
if '%choice%'=='6' goto gerupdatecheck
if '%choice%'=='7' goto gerabout
if '%choice%'=='8' goto gerend
echo Bitte 1 2 3 4 5 6 7 oder 8 eingeben.
pause
goto germenu

:gerdelupdate
del dpget-update.bat
goto germenu

:germapmenu
cls
set map=
set /p map=Bitte gib einen Mapnamen an (inklusive .bsp)...  
if %map%==*.* goto gerinvalidmap
if '%map%'=='' goto geremptymap
echo :download1 >dlmap.bat
echo download ftp://85.214.56.218/pub/Maps/%map% /display:progress >>dlmap.bat
echo if not exist %map% goto download2 >>dlmap.bat
echo copy %map% %dppath%\pball\maps\%map% >>dlmap.bat
echo goto deletemap >>dlmap.bat
echo :download2 >>dlmap.bat
echo download http://www.dplogin.com/files/maps/%map% /display:progress >>dlmap.bat
echo if not exist %map% echo Download fehlgeschlagen. >>dlmap.bat
echo copy %map% %dppath%\pball\maps\%map% >>dlmap.bat
echo :deletemap >>dlmap.bat
echo del %map% >>dlmap.bat
call dlmap.bat
del dlmap.bat
pause
goto germenu

:gerinvalidmap
echo Du kannst das nicht als Platzhalter verwenden. Fr alle Maps bitte *.bsp eingeben.
pause
goto germenu

:geremptymap
echo Bitte gib einen Mapnamen an.
pause
goto germenu

:gerbrowsefiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
echo Dateiliste siehe unten:
echo.
type index.txt | more
echo.
goto gerfilechoose

:gersearchfiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
set find=
set /p find=Bitte Suchanfrage eingeben (ersten Buchstaben groschreiben)...  
find "%find%" index.txt
goto gerfilechoose

:gerfilechoose
echo Dateinummer angeben, um sie herunterzuladen. Um zum Hauptmen zu gelangen, bitte Enter drcken.
set file=
set /p file=
if '%file%'=='' goto gerdelmenu
if '%file%'=='info' goto gerfileinfo
echo download http://www.viciouz.co.uk/database/%file%.txt /display:silent >dlfileinfo.bat
call dlfileinfo.bat
del dlfileinfo.bat
set fileurl=
set /p fileurl=<%file%.txt
echo download %fileurl% /display:gerprogress >dlfile.bat
echo del %file%.txt >>dlfile.bat
call dlfile.bat
del dlfile.bat
del index.txt
echo Datei heruntergeladen.
pause
goto germenu

:gerupdatecheck
cls
echo Suche nach Updates...
download http://www.viciouz.co.uk/database/dpget.txt /display:silent
set version=08
set update=
set /p update=<dpget.txt
if %version% LSS %update% goto gerupdate
echo Keine Updates gefunden.
del dpget.txt
pause
goto germenu

:gerupdate
set updatechoice=
set /p updatechoice=Updates gefunden. Installieren? (J/N) 
if '%updatechoice%'=='n' goto germenu
if '%updatechoice%'=='N' goto germenu
download http://www.viciouz.co.uk/dpget/dpget.zip /display:progress
download http://www.viciouz.co.uk/dpget/dpget-update.bat /display:progress
download http://www.viciouz.co.uk/dpget/unzip.exe /display:progress
dpget-update.bat

:gerpackagescan
cls
echo Durchsuche Packages nach Versionen...
set zorchmenusscan=0
set updatesfoun=0
goto gerscanroutine

:gerscanroutine
if %zorchmenusscan%==0 goto gerzorchmenusscan
if %updatesfound%==1 goto gerupdatesfound
goto gernoupdates

:gerzorchmenusscan
set zorchmenusscan=1
cd %dppath%\pball\
cd versions
if not exist zhmr_all.txt goto gerscanroutine
set localzorch=
set /p localzorch=<zhmr_all.txt
cd %dpgetpath%
echo Zorchenhimer's Men-Paket >>packages.txt
download http://www.viciouz.co.uk/database/vers/zorchenhimermenus.txt /display:gersilent
set remotezorch=0
set /p remotezorch=<zorchenhimermenus.txt
del zorchenhimermenus.txt
if not %localzorch% lss %remotezorch% goto gerscanroutine
set updatesfound=1
del zorchmenus.zip
download http://www.viciouz.co.uk/other/miscfiles/zorchmenus.zip /display:gerprogress
echo Zorchenhimer's Men-Paket >>updatedpackages.txt
goto gerscanroutine

:gerupdatesfound
echo.
echo Pakete gefunden:
type packages.txt
del packages.txt
echo.
echo Pakete aktualisiert:
type updatedpackages.txt
del updatedpackages.txt
echo.
echo Alle aktualisierten Pakete befinden sich nun in:
echo %dpgetpath%
pause
goto germenu

:gernews
cls
echo Prfe auf News...
download http://www.viciouz.co.uk/database/news.txt /display:silent
type news.txt | more
del news.txt
echo.
echo Drcke eine Taste, um ins Hauptmen zu gelangen...
pause >nul
goto germenu

:gerabout
cls
echo ber DPGET v0.8
echo DPGET ist ein Werkzeug, um Dateien fr Digital Paintball 2 herunterzuladen.
echo Derzeit beinhaltet es ein Feature, um Maps herunterzuladen, welches versucht, Maps von www.dplogin.com herunterzuladen
echo Es beinhaltet ebenso eine einfach Datei-Datenbank auf viciouz.co.uk
echo DPGET, geschrieben von ViciouZ (c) ViciouZ.co.uk 2007
echo DPGET benutzt den File Downloader von Noel Danjou, welcher ohne vorherige Absprache nicht weiterverteilt werden darf. 
echo Dank an KnacK, Zorchenhimer und y00tz fr ihr Hilfe und Untersttzung.
echo bersetzt ins Deutsche von PURE
pause
goto germenu

:gerdelmenu
del index.txt
goto germenu

:gerend
cls
echo Danke, dass du DPGet genutzt hast.
pause
exit